#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int v,v1;
    scanf("%lld",&v);
    v1=v;
    int br=0;
    int k=0;
    while(v1!=0){
        v1/=10;
        ++k;
    }
    long long a=10;
    for(int i=1;i<k-1;++i){
        a*=10;
    }
    while(a){
        a*=5;
        while(v-a>0){
            ++br;
            v-=a;
        }
        a/=5;
        a*=2;
        while(v-a>0){
            ++br;
            v-=a;
        }
        a/=2;
        while(v-a>0){
            ++br;
            v-=a;
        }
        a/=10;
    }
    printf("%d",br);
    return 0;
}